## org.eclipse.datatools.modelbase.dbdefinition.impl
Class PredefinedDataTypeDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.PredefinedDataTypeDefinitionImpl

All Implemented Interfaces:
  PredefinedDataTypeDefinition

public class PredefinedDataTypeDefinitionImpl
extends EObjectImpl
implements PredefinedDataTypeDefinition

An implementation of the model object 'Predefined Data Type Definition'.

The following features are implemented:

- `Leading Field Qualifier Definition`
- `Trailing Field Qualifier Definition`
- `Default Trailing Field Qualifier Definition`
- `Default Leading Field Qualifier Definition`
- `Length Supported`
- `Scale Supported`
- `Precision Supported`
- `Key Constraint Supported`
- `Identity Supported`
- `Multiple Columns Supported`
- `Nullable Supported`
- `Default Supported`
- `Clustering Supported`
- `Fill Factor Supported`
- `Bit Data Supported`
- `Maximum Value`
- `Minimum Value`
- `Maximum Length`
- `Maximum Precision`
- `Maximum Scale`
- `Minimum Scale`
- `Default Value Types`
- `Primitive Type`
- `Name`
- `Jdbc Enum Type`
- `Character Set`
- `Encoding Scheme`
- `Character Set Suffix`
- `Encoding Scheme Suffix`
- `Java Class Name`
- `Default Length`
- `Default Precision`
- `Default Scale`
- `Cutoff Precision`
- `Length Unit`
- `Ordering Supported`
- `Grouping Supported`
- `Display Name`
- `Display Name Supported`
- `Leading Field Qualifier Supported`
- `Trailing Field Qualifier Supported`
- `Field Qualifier Separator`

See Also:
  Serialized Form

Method Summary
`FieldQualifierDefinition` `basicGetDefaultLeadingFieldQualifierDefinition()`
`FieldQualifierDefinition` `basicGetDefaultTrailingFieldQualifierDefinition()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getCharacterSet()`
`java.lang.String` `getCharacterSetSuffix()`
`int` `getCutoffPrecision()`
`FieldQualifierDefinition` `getDefaultLeadingFieldQualifierDefinition()`
`int` `getDefaultLength()`
`int` `getDefaultPrecision()`
`int` `getDefaultScale()`
`FieldQualifierDefinition` `getDefaultTrailingFieldQualifierDefinition()`
`EList` `getDefaultValueTypes()`
`java.lang.String` `getDisplayName()`
`EList` `getEncodingScheme()`
`java.lang.String` `getEncodingSchemeSuffix()`
`java.lang.String` `getFieldQualifierSeparator()`
`java.lang.String` `getJavaClassName()`
`int` `getJdbcEnumType()`
`EList` `getLeadingFieldQualifierDefinition()`
`LengthUnit` `getLengthUnit()`
`int` `getMaximumLength()`
`int` `getMaximumPrecision()`
`int` `getMaximumScale()`
`long` `getMaximumValue()`
`int` `getMinimumScale()`
`long` `getMinimumValue()`
`EList` `getName()`
`PrimitiveType` `getPrimitiveType()`
`EList` `getTrailingFieldQualifierDefinition()`
`boolean` `isBitDataSupported()`
`boolean` `isClusteringSupported()`
`boolean` `isDefaultSupported()`
`boolean` `isDisplayNameSupported()`
`boolean` `isFillFactorSupported()`
`boolean` `isGroupingSupported()`
`boolean` `isIdentitySupported()`
`boolean` `isKeyConstraintSupported()`
`boolean` `isLeadingFieldQualifierSupported()`
`boolean` `isLengthSupported()`
`boolean` `isMultipleColumnsSupported()`
`boolean` `isNullableSupported()`
`boolean` `isOrderingSupported()`
`boolean` `isPrecisionSupported()`
`boolean` `isScaleSupported()`
`boolean` `isTrailingFieldQualifierSupported()`
`void` `setBitDataSupported(boolean newBitDataSupported)`
`void` `setCharacterSetSuffix(java.lang.String newCharacterSetSuffix)`
`void` `setClusteringSupported(boolean newClusteringSupported)`
`void` `setCutoffPrecision(int newCutoffPrecision)`
`void` `setDefaultLeadingFieldQualifierDefinition(FieldQualifierDefinition newDefaultLeadingFieldQualifierDefinition)`
`void` `setDefaultLength(int newDefaultLength)`
`void` `setDefaultPrecision(int newDefaultPrecision)`
`void` `setDefaultScale(int newDefaultScale)`
`void` `setDefaultSupported(boolean newDefaultSupported)`
`void` `setDefaultTrailingFieldQualifierDefinition(FieldQualifierDefinition newDefaultTrailingFieldQualifierDefinition)`
`void` `setDisplayName(java.lang.String newDisplayName)`
`void` `setDisplayNameSupported(boolean newDisplayNameSupported)`
`void` `setEncodingSchemeSuffix(java.lang.String newEncodingSchemeSuffix)`
`void` `setFieldQualifierSeparator(java.lang.String newFieldQualifierSeparator)`
`void` `setFillFactorSupported(boolean newFillFactorSupported)`
`void` `setGroupingSupported(boolean newGroupingSupported)`
`void` `setIdentitySupported(boolean newIdentitySupported)`
`void` `setJavaClassName(java.lang.String newJavaClassName)`
`void` `setJdbcEnumType(int newJdbcEnumType)`
`void` `setKeyConstraintSupported(boolean newKeyConstraintSupported)`
`void` `setLeadingFieldQualifierSupported(boolean newLeadingFieldQualifierSupported)`
`void` `setLengthSupported(boolean newLengthSupported)`
`void` `setLengthUnit(LengthUnit newLengthUnit)`
`void` `setMaximumLength(int newMaximumLength)`
`void` `setMaximumPrecision(int newMaximumPrecision)`
`void` `setMaximumScale(int newMaximumScale)`
`void` `setMaximumValue(long newMaximumValue)`
`void` `setMinimumScale(int newMinimumScale)`
`void` `setMinimumValue(long newMinimumValue)`
`void` `setMultipleColumnsSupported(boolean newMultipleColumnsSupported)`
`void` `setNullableSupported(boolean newNullableSupported)`
`void` `setOrderingSupported(boolean newOrderingSupported)`
`void` `setPrecisionSupported(boolean newPrecisionSupported)`
`void` `setPrimitiveType(PrimitiveType newPrimitiveType)`
`void` `setScaleSupported(boolean newScaleSupported)`
`void` `setTrailingFieldQualifierSupported(boolean newTrailingFieldQualifierSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLeadingFieldQualifierDefinition

    public EList getLeadingFieldQualifierDefinition()

  Specified by:
    `getLeadingFieldQualifierDefinition` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Leading Field Qualifier Definition' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition()`

### getTrailingFieldQualifierDefinition

    public EList getTrailingFieldQualifierDefinition()

  Specified by:
    `getTrailingFieldQualifierDefinition` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Trailing Field Qualifier Definition' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition()`

### getDefaultTrailingFieldQualifierDefinition

    public FieldQualifierDefinition getDefaultTrailingFieldQualifierDefinition()

  Specified by:
    `getDefaultTrailingFieldQualifierDefinition` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Default Trailing Field Qualifier Definition' reference.
  See Also:
    `PredefinedDataTypeDefinition.setDefaultTrailingFieldQualifierDefinition(FieldQualifierDefinition)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition()`

### basicGetDefaultTrailingFieldQualifierDefinition

    public FieldQualifierDefinition basicGetDefaultTrailingFieldQualifierDefinition()

### setDefaultTrailingFieldQualifierDefinition

    public void setDefaultTrailingFieldQualifierDefinition(FieldQualifierDefinition newDefaultTrailingFieldQualifierDefinition)

  Specified by:
    `setDefaultTrailingFieldQualifierDefinition` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newDefaultTrailingFieldQualifierDefinition` - the new value of the 'Default Trailing Field Qualifier Definition' reference.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultTrailingFieldQualifierDefinition()`

### getDefaultLeadingFieldQualifierDefinition

    public FieldQualifierDefinition getDefaultLeadingFieldQualifierDefinition()

  Specified by:
    `getDefaultLeadingFieldQualifierDefinition` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Default Leading Field Qualifier Definition' reference.
  See Also:
    `PredefinedDataTypeDefinition.setDefaultLeadingFieldQualifierDefinition(FieldQualifierDefinition)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition()`

### basicGetDefaultLeadingFieldQualifierDefinition

    public FieldQualifierDefinition basicGetDefaultLeadingFieldQualifierDefinition()

### setDefaultLeadingFieldQualifierDefinition

    public void setDefaultLeadingFieldQualifierDefinition(FieldQualifierDefinition newDefaultLeadingFieldQualifierDefinition)

  Specified by:
    `setDefaultLeadingFieldQualifierDefinition` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newDefaultLeadingFieldQualifierDefinition` - the new value of the 'Default Leading Field Qualifier Definition' reference.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultLeadingFieldQualifierDefinition()`

### isLengthSupported

    public boolean isLengthSupported()

  Specified by:
    `isLengthSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Length Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setLengthSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LengthSupported()`

### setLengthSupported

    public void setLengthSupported(boolean newLengthSupported)

  Specified by:
    `setLengthSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newLengthSupported` - the new value of the 'Length Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isLengthSupported()`

### isScaleSupported

    public boolean isScaleSupported()

  Specified by:
    `isScaleSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Scale Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setScaleSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_ScaleSupported()`

### setScaleSupported

    public void setScaleSupported(boolean newScaleSupported)

  Specified by:
    `setScaleSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newScaleSupported` - the new value of the 'Scale Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isScaleSupported()`

### isPrecisionSupported

    public boolean isPrecisionSupported()

  Specified by:
    `isPrecisionSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Precision Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setPrecisionSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_PrecisionSupported()`

### setPrecisionSupported

    public void setPrecisionSupported(boolean newPrecisionSupported)

  Specified by:
    `setPrecisionSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newPrecisionSupported` - the new value of the 'Precision Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isPrecisionSupported()`

### isKeyConstraintSupported

    public boolean isKeyConstraintSupported()

  Specified by:
    `isKeyConstraintSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Key Constraint Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setKeyConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_KeyConstraintSupported()`

### setKeyConstraintSupported

    public void setKeyConstraintSupported(boolean newKeyConstraintSupported)

  Specified by:
    `setKeyConstraintSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newKeyConstraintSupported` - the new value of the 'Key Constraint Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isKeyConstraintSupported()`

### isIdentitySupported

    public boolean isIdentitySupported()

  Specified by:
    `isIdentitySupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Identity Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setIdentitySupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_IdentitySupported()`

### setIdentitySupported

    public void setIdentitySupported(boolean newIdentitySupported)

  Specified by:
    `setIdentitySupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newIdentitySupported` - the new value of the 'Identity Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isIdentitySupported()`

### isMultipleColumnsSupported

    public boolean isMultipleColumnsSupported()

  Specified by:
    `isMultipleColumnsSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Multiple Columns Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setMultipleColumnsSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MultipleColumnsSupported()`

### setMultipleColumnsSupported

    public void setMultipleColumnsSupported(boolean newMultipleColumnsSupported)

  Specified by:
    `setMultipleColumnsSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newMultipleColumnsSupported` - the new value of the 'Multiple Columns Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isMultipleColumnsSupported()`

### isNullableSupported

    public boolean isNullableSupported()

  Specified by:
    `isNullableSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Nullable Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setNullableSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_NullableSupported()`

### setNullableSupported

    public void setNullableSupported(boolean newNullableSupported)

  Specified by:
    `setNullableSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newNullableSupported` - the new value of the 'Nullable Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isNullableSupported()`

### isDefaultSupported

    public boolean isDefaultSupported()

  Specified by:
    `isDefaultSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Default Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setDefaultSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultSupported()`

### setDefaultSupported

    public void setDefaultSupported(boolean newDefaultSupported)

  Specified by:
    `setDefaultSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newDefaultSupported` - the new value of the 'Default Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isDefaultSupported()`

### isClusteringSupported

    public boolean isClusteringSupported()

  Specified by:
    `isClusteringSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Clustering Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setClusteringSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_ClusteringSupported()`

### setClusteringSupported

    public void setClusteringSupported(boolean newClusteringSupported)

  Specified by:
    `setClusteringSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newClusteringSupported` - the new value of the 'Clustering Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isClusteringSupported()`

### isFillFactorSupported

    public boolean isFillFactorSupported()

  Specified by:
    `isFillFactorSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Fill Factor Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setFillFactorSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_FillFactorSupported()`

### setFillFactorSupported

    public void setFillFactorSupported(boolean newFillFactorSupported)

  Specified by:
    `setFillFactorSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newFillFactorSupported` - the new value of the 'Fill Factor Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isFillFactorSupported()`

### isBitDataSupported

    public boolean isBitDataSupported()

  Specified by:
    `isBitDataSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Bit Data Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setBitDataSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_BitDataSupported()`

### setBitDataSupported

    public void setBitDataSupported(boolean newBitDataSupported)

  Specified by:
    `setBitDataSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newBitDataSupported` - the new value of the 'Bit Data Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isBitDataSupported()`

### getMaximumValue

    public long getMaximumValue()

  Specified by:
    `getMaximumValue` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Maximum Value' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setMaximumValue(long)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MaximumValue()`

### setMaximumValue

    public void setMaximumValue(long newMaximumValue)

  Specified by:
    `setMaximumValue` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newMaximumValue` - the new value of the 'Maximum Value' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumValue()`

### getMinimumValue

    public long getMinimumValue()

  Specified by:
    `getMinimumValue` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Minimum Value' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setMinimumValue(long)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MinimumValue()`

### setMinimumValue

    public void setMinimumValue(long newMinimumValue)

  Specified by:
    `setMinimumValue` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newMinimumValue` - the new value of the 'Minimum Value' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getMinimumValue()`

### getMaximumLength

    public int getMaximumLength()

  Specified by:
    `getMaximumLength` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Maximum Length' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setMaximumLength(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MaximumLength()`

### setMaximumLength

    public void setMaximumLength(int newMaximumLength)

  Specified by:
    `setMaximumLength` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newMaximumLength` - the new value of the 'Maximum Length' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumLength()`

### getMaximumPrecision

    public int getMaximumPrecision()

  Specified by:
    `getMaximumPrecision` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Maximum Precision' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setMaximumPrecision(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MaximumPrecision()`

### setMaximumPrecision

    public void setMaximumPrecision(int newMaximumPrecision)

  Specified by:
    `setMaximumPrecision` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newMaximumPrecision` - the new value of the 'Maximum Precision' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumPrecision()`

### getMaximumScale

    public int getMaximumScale()

  Specified by:
    `getMaximumScale` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Maximum Scale' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setMaximumScale(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MaximumScale()`

### setMaximumScale

    public void setMaximumScale(int newMaximumScale)

  Specified by:
    `setMaximumScale` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newMaximumScale` - the new value of the 'Maximum Scale' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumScale()`

### getMinimumScale

    public int getMinimumScale()

  Specified by:
    `getMinimumScale` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Minimum Scale' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setMinimumScale(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MinimumScale()`

### setMinimumScale

    public void setMinimumScale(int newMinimumScale)

  Specified by:
    `setMinimumScale` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newMinimumScale` - the new value of the 'Minimum Scale' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getMinimumScale()`

### getDefaultValueTypes

    public EList getDefaultValueTypes()

  Specified by:
    `getDefaultValueTypes` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Default Value Types' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultValueTypes()`

### getPrimitiveType

    public PrimitiveType getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `PredefinedDataTypeDefinition.setPrimitiveType(PrimitiveType)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_PrimitiveType()`

### setPrimitiveType

    public void setPrimitiveType(PrimitiveType newPrimitiveType)

  Specified by:
    `setPrimitiveType` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newPrimitiveType` - the new value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `PredefinedDataTypeDefinition.getPrimitiveType()`

### getName

    public EList getName()

  Specified by:
    `getName` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Name' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_Name()`

### getJdbcEnumType

    public int getJdbcEnumType()

  Specified by:
    `getJdbcEnumType` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Jdbc Enum Type' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setJdbcEnumType(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_JdbcEnumType()`

### setJdbcEnumType

    public void setJdbcEnumType(int newJdbcEnumType)

  Specified by:
    `setJdbcEnumType` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newJdbcEnumType` - the new value of the 'Jdbc Enum Type' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getJdbcEnumType()`

### getCharacterSet

    public EList getCharacterSet()

  Specified by:
    `getCharacterSet` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Character Set' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_CharacterSet()`

### getEncodingScheme

    public EList getEncodingScheme()

  Specified by:
    `getEncodingScheme` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Encoding Scheme' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_EncodingScheme()`

### getCharacterSetSuffix

    public java.lang.String getCharacterSetSuffix()

  Specified by:
    `getCharacterSetSuffix` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Character Set Suffix' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setCharacterSetSuffix(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_CharacterSetSuffix()`

### setCharacterSetSuffix

    public void setCharacterSetSuffix(java.lang.String newCharacterSetSuffix)

  Specified by:
    `setCharacterSetSuffix` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newCharacterSetSuffix` - the new value of the 'Character Set Suffix' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getCharacterSetSuffix()`

### getEncodingSchemeSuffix

    public java.lang.String getEncodingSchemeSuffix()

  Specified by:
    `getEncodingSchemeSuffix` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Encoding Scheme Suffix' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setEncodingSchemeSuffix(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_EncodingSchemeSuffix()`

### setEncodingSchemeSuffix

    public void setEncodingSchemeSuffix(java.lang.String newEncodingSchemeSuffix)

  Specified by:
    `setEncodingSchemeSuffix` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newEncodingSchemeSuffix` - the new value of the 'Encoding Scheme Suffix' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getEncodingSchemeSuffix()`

### getJavaClassName

    public java.lang.String getJavaClassName()

  Specified by:
    `getJavaClassName` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Java Class Name' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setJavaClassName(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_JavaClassName()`

### setJavaClassName

    public void setJavaClassName(java.lang.String newJavaClassName)

  Specified by:
    `setJavaClassName` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newJavaClassName` - the new value of the 'Java Class Name' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getJavaClassName()`

### getDefaultLength

    public int getDefaultLength()

  Specified by:
    `getDefaultLength` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Default Length' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setDefaultLength(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultLength()`

### setDefaultLength

    public void setDefaultLength(int newDefaultLength)

  Specified by:
    `setDefaultLength` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newDefaultLength` - the new value of the 'Default Length' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultLength()`

### getDefaultPrecision

    public int getDefaultPrecision()

  Specified by:
    `getDefaultPrecision` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Default Precision' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setDefaultPrecision(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultPrecision()`

### setDefaultPrecision

    public void setDefaultPrecision(int newDefaultPrecision)

  Specified by:
    `setDefaultPrecision` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newDefaultPrecision` - the new value of the 'Default Precision' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultPrecision()`

### getDefaultScale

    public int getDefaultScale()

  Specified by:
    `getDefaultScale` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Default Scale' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setDefaultScale(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultScale()`

### setDefaultScale

    public void setDefaultScale(int newDefaultScale)

  Specified by:
    `setDefaultScale` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newDefaultScale` - the new value of the 'Default Scale' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultScale()`

### getCutoffPrecision

    public int getCutoffPrecision()

  Specified by:
    `getCutoffPrecision` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Cutoff Precision' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setCutoffPrecision(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_CutoffPrecision()`

### setCutoffPrecision

    public void setCutoffPrecision(int newCutoffPrecision)

  Specified by:
    `setCutoffPrecision` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newCutoffPrecision` - the new value of the 'Cutoff Precision' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getCutoffPrecision()`

### getLengthUnit

    public LengthUnit getLengthUnit()

  Specified by:
    `getLengthUnit` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Length Unit' attribute.
  See Also:
    `LengthUnit`, `PredefinedDataTypeDefinition.setLengthUnit(LengthUnit)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LengthUnit()`

### setLengthUnit

    public void setLengthUnit(LengthUnit newLengthUnit)

  Specified by:
    `setLengthUnit` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newLengthUnit` - the new value of the 'Length Unit' attribute.
  See Also:
    `LengthUnit`, `PredefinedDataTypeDefinition.getLengthUnit()`

### isOrderingSupported

    public boolean isOrderingSupported()

  Specified by:
    `isOrderingSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Ordering Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setOrderingSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_OrderingSupported()`

### setOrderingSupported

    public void setOrderingSupported(boolean newOrderingSupported)

  Specified by:
    `setOrderingSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newOrderingSupported` - the new value of the 'Ordering Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isOrderingSupported()`

### isGroupingSupported

    public boolean isGroupingSupported()

  Specified by:
    `isGroupingSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Grouping Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setGroupingSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_GroupingSupported()`

### setGroupingSupported

    public void setGroupingSupported(boolean newGroupingSupported)

  Specified by:
    `setGroupingSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newGroupingSupported` - the new value of the 'Grouping Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isGroupingSupported()`

### getDisplayName

    public java.lang.String getDisplayName()

  Specified by:
    `getDisplayName` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setDisplayName(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DisplayName()`

### setDisplayName

    public void setDisplayName(java.lang.String newDisplayName)

  Specified by:
    `setDisplayName` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newDisplayName` - the new value of the 'Display Name' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getDisplayName()`

### isDisplayNameSupported

    public boolean isDisplayNameSupported()

  Specified by:
    `isDisplayNameSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Display Name Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setDisplayNameSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DisplayNameSupported()`

### setDisplayNameSupported

    public void setDisplayNameSupported(boolean newDisplayNameSupported)

  Specified by:
    `setDisplayNameSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newDisplayNameSupported` - the new value of the 'Display Name Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isDisplayNameSupported()`

### isLeadingFieldQualifierSupported

    public boolean isLeadingFieldQualifierSupported()

  Specified by:
    `isLeadingFieldQualifierSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Leading Field Qualifier Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setLeadingFieldQualifierSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported()`

### setLeadingFieldQualifierSupported

    public void setLeadingFieldQualifierSupported(boolean newLeadingFieldQualifierSupported)

  Specified by:
    `setLeadingFieldQualifierSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newLeadingFieldQualifierSupported` - the new value of the 'Leading Field Qualifier Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isLeadingFieldQualifierSupported()`

### isTrailingFieldQualifierSupported

    public boolean isTrailingFieldQualifierSupported()

  Specified by:
    `isTrailingFieldQualifierSupported` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Trailing Field Qualifier Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setTrailingFieldQualifierSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported()`

### setTrailingFieldQualifierSupported

    public void setTrailingFieldQualifierSupported(boolean newTrailingFieldQualifierSupported)

  Specified by:
    `setTrailingFieldQualifierSupported` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newTrailingFieldQualifierSupported` - the new value of the 'Trailing Field Qualifier Supported' attribute.
  See Also:
    `PredefinedDataTypeDefinition.isTrailingFieldQualifierSupported()`

### getFieldQualifierSeparator

    public java.lang.String getFieldQualifierSeparator()

  Specified by:
    `getFieldQualifierSeparator` in interface `PredefinedDataTypeDefinition`
  Returns:
    the value of the 'Field Qualifier Separator' attribute.
  See Also:
    `PredefinedDataTypeDefinition.setFieldQualifierSeparator(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_FieldQualifierSeparator()`

### setFieldQualifierSeparator

    public void setFieldQualifierSeparator(java.lang.String newFieldQualifierSeparator)

  Specified by:
    `setFieldQualifierSeparator` in interface `PredefinedDataTypeDefinition`
  Parameters:
    `newFieldQualifierSeparator` - the new value of the 'Field Qualifier Separator' attribute.
  See Also:
    `PredefinedDataTypeDefinition.getFieldQualifierSeparator()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.